/*
 * Created on 13-jun-2005
 */
package free.chanante.retrospector;

import free.chanante.retrospector.guiones.EpisodioDelGaan;
import free.chanante.retrospector.guiones.Guion;

/**
 * Retrospector generator
 * Copyright (C) 2007  Mario Cerdeo (aka SeS)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * 
 * A disfrutar de Retrospectooooooooooooooooooooor
 * @author SeS
 */
public class Retrospect {

	
	/**
	 * Pillar las palomitas que esto empieza.
	 * @param guion guionazo.
	 */
	public Retrospect(Guion guion) {
		System.out.println("Chun, chuuun, chuuuuuuun");
		System.out.println("RETROSPECTOOOOOR");
		guion.presentacionDelRepeinao();
		guion.accion();
		guion.despedidaDelRepeinao();
		guion.colofon();
	}

	public static void main(String[] args) {
		Retrospect retrospect = new Retrospect(new EpisodioDelGaan());
		
		
	}
	
}
